/*
 * hardware_config.c
 *
 *  Created on: Aug 7, 2013
 *      Author: a0131604
 */

#include "msp430g2553.h"

/***********************************************************************************************************************/
// NOTE : do not change the name of the functions or their return types , as they are called from the library functions
/***********************************************************************************************************************/

unsigned int PWM_REGISTER_READ()
{
	return ( TA1CCR2 ) ;                                            //  if a different timer register  is used, change the return value to the new timer register
}

volatile unsigned int * PWM_INITIALIZER ()
{
	return ( & TA1CCR2 );                                          // the return value should be the address of the timer register used
}


void MAKE_COPY()
{
	return;                                                      // should be used only when more than one timers are used .
																 // to copy the value of one timer register to another ,  include the copying procedure here
}

void DRV_RESET_ENABLE()
{
	 P3OUT &= ~(BIT4+BIT5);                                      // to put drv8313 to reset and in sleep mode
}



void DRV_RESET_DISABLE()
{
	P3OUT |= (BIT4);											// to bring drv8313 out of reset
}

void DRV_SLEEP_DISABLE()
{
	P3OUT |= (BIT5);											// to bring drv8313 out of sleep mode
}


unsigned char  FAULT_STATE_PIN_FUNCTION()
{
	return(P3IN & 0x40 ) ;                                      // take the input from the drv8313 to check for faults
}

// for the below functions ,  the function name indicate the procedure to be initiated to do the corresponding action

void A_HIGH ()
{
						P3OUT |= BIT3;
						P3OUT |= BIT0;
}

void A_PWM	()
{
						P3SEL |= BIT3;
						P3OUT |= BIT0;

}

void A_LOW	()
{
						P3SEL &= ~BIT3;
						P3OUT &= ~BIT3;
						P3OUT |= BIT0;
}

void A_Z()
{
						P3SEL &= ~BIT3;
						P3OUT &= ~BIT3;
						P3OUT &= ~BIT0;
}

void B_HIGH ()
{
						P2OUT |= BIT4;
						P3OUT |= BIT1;
}


void B_PWM 	()
{
						P2SEL |= BIT4;
						P3OUT |= BIT1;
}


void B_LOW 	()
{


						P2SEL &= ~BIT4;
						P2OUT &= ~BIT4;
						P3OUT |= BIT1;
}


void B_Z	()
{
						P2SEL &= ~BIT4;
						P2OUT &= ~BIT4;
						P3OUT &= ~BIT1;
}


void C_HIGH	()
{
						P2OUT |= BIT5;
						P3OUT |=BIT2;
}


void C_PWM	()
{
						P2SEL |= BIT5;
						P3OUT |=BIT2;
}


void C_LOW 	()
{
						P2SEL &= ~BIT5;
						P2OUT &= ~BIT5;
						P3OUT |= BIT2;
}


void C_Z 	()
{
						P2SEL &= ~BIT5;
						P2OUT &= ~BIT5;
						P3OUT &= ~BIT2;
}



